### Method

# FwupdPlugin HidrawDevice get_feature

#### Declaration [src]

    gboolean
    fu_hidraw_device_get_feature (
      FuHidrawDevice* self,
      guint8* buf,
      gsize bufsz,
      FuIoctlFlags flags,
      GError** error
    )

#### Description [src]

Do a HID GetFeature request.

Available since: | 2.0.0

#### Parameters

`buf` | `guint8*`
| A buffer to use, which must be large enough for the request.
| The data is owned by the caller of the function.
`bufsz` | `gsize`
| The size of `buf`.
`flags` | `FuIoctlFlags`
| Some `FuIoctlFlags`, e.g. `FU_IOCTL_FLAG_RETRY`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.